﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Configuration;
using System.Runtime.InteropServices;

namespace bsApex
{
    public partial class MainForm : Form
    {

        private int childFormNumber = 0;

        public MainForm()
        {
            InitializeComponent();

            this.Height = System.Convert.ToInt32(ConfigurationManager.AppSettings["aAltezza"]);
            this.Width = System.Convert.ToInt32(ConfigurationManager.AppSettings["aLarghezza"]);
            this.Text = ConfigurationManager.AppSettings["aTitolo"];
            esciToolStripButton.Text = ConfigurationManager.AppSettings["aChiudi"] + " " + ConfigurationManager.AppSettings["aTitoloBreve"];
            extendedWebBrowser1.Url = new Uri(ConfigurationManager.AppSettings["aIndirizzo"], UriKind.RelativeOrAbsolute);
            this.stampaToolStripButton.Text = ConfigurationManager.AppSettings["aStampa"];
            System.Drawing.Icon ico = new System.Drawing.Icon(ConfigurationManager.AppSettings["aIcona"]);
            this.Icon = ico ;
        }

        private void extendedWebBrowser1_NewWindow2(object sender, NewWindow2EventArgs e)
        {
            //Intercepting this event will allow us to create a new form in which
            //we will open the new webpage, to do that we must set the ppDisp property
            //of the NewWindow2EventArgs
            PopUpForm formPopUp = new PopUpForm();
            formPopUp.Show();
            e.PPDisp = formPopUp.webBrowserPopUp.Application;
        }

        private void ShowNewForm(object sender, EventArgs e)
        {
            Form childForm = new Form();
            childForm.MdiParent = this;
            childForm.Text = "Finestra " + childFormNumber++;
            childForm.Show();
        }
        

        private void esciToolStripButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        // Displays the Print Preview dialog box.
        private void stampaToolStripButton_Click(
            object sender, EventArgs e)
        {
            extendedWebBrowser1.ShowPrintPreviewDialog();
        }

        private void aboutButton_Click(object sender, EventArgs e)
        {
            AboutBox about = new AboutBox();
            about.ShowDialog();
        }

     }

}
